/*
 * eth_icmp.hpp
 *
 *  Created on: 14 мар. 2023 г.
 *      Author: sychev
 */

#ifndef FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_
#define FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_

#include "free_rtos/handler_store/handler.hpp"

#include <cstdint>
#include <cstddef>

namespace free_rtos {

class EthIcmp : public Handler {
public:
    virtual int32_t Process(uint8_t * p_data, uint32_t len) override;
    virtual uint16_t Sender(HandlerArgs& handlerArgs, size_t scatter_segment) override;

    uint32_t getStat() {return rx_cnt_;};
private:
    uint32_t rx_cnt_ = 0;
};

}

#endif /* FREE_RTOS_ETHERNET_IP_ETH_ICMP_HPP_ */
