/*
 * handler_obj.hpp
 *
 *  Created on: 6 ���. 2023 �.
 *      Author: sychev
 */

#ifndef FREE_RTOS_HANDLER_STORE_HANDLER_HPP_
#define FREE_RTOS_HANDLER_STORE_HANDLER_HPP_

#include <cstdint>
#include <cstddef>

struct HandlerArgs {
    uint8_t * buffer;
};

class Handler {
public:
    virtual int32_t Process(uint8_t * p_data, uint32_t len) = 0;
    virtual uint16_t Sender(HandlerArgs& handlerArgs, size_t scatter_segment) = 0;

    ~Handler() {};
};



#endif /* FREE_RTOS_HANDLER_STORE_HANDLER_HPP_ */
