/*
 * eth_task_settings.hpp
 *
 *  Created on: Jun 26, 2023
 *      Author: algin
 */

#ifndef FREE_RTOS_ETHERNET_ETH_TASK_SETTINGS_HPP_
#define FREE_RTOS_ETHERNET_ETH_TASK_SETTINGS_HPP_

#include <cstdint>

#include "free_rtos/task/task.hpp"

namespace free_rtos {
    static constexpr uint32_t LINK_TASK_PRIORITY = tskIDLE_PRIORITY + 2;
    static constexpr uint32_t LINK_TASK_STACK_SIZE  = 0x1800 / sizeof(StackType_t);
}

#endif /* FREE_RTOS_ETHERNET_ETH_TASK_SETTINGS_HPP_ */
