/*
 * eth_checksum.h
 *
 *  Created on: 13 мар. 2023 г.
 *      Author: sychev
 */

#ifndef FREE_RTOS_ETHERNET_ETH_CHECKSUM_H_
#define FREE_RTOS_ETHERNET_ETH_CHECKSUM_H_

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

uint16_t eth_calcChksum(uint32_t sum, uint8_t * const data, uint16_t len);
uint16_t eth_calcChksum2(uint32_t sum, uint8_t * const hdata, uint16_t hlen, uint8_t * const data, uint16_t len);
uint16_t eth_calcChksum3(void * const buffer, uint32_t sum, void * const hdata, uint16_t hlen, void * const data, uint16_t len);

#ifdef __cplusplus
}
#endif

#endif /* FREE_RTOS_ETHERNET_ETH_CHECKSUM_H_ */
